Subject: bug#22287: 25.1.50; Sudden jumping point in buffer

From: Eli Zaretskii <[email-masked]>
Date: Tue, 05 Jan 2016 18:27:22 +0200

> Date: Tue, 5 Jan 2016 16:01:22 +0100
> From: "Stefan-W. Hahn" <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> Thanks for this hint. I wasn't aware of this, after reading the good
> documentation etc/DEBUG, great possibilities.
> 
> I've sat it up and am able to define a watchpoint which calls xbacktrace. I
> have to play around with it a little, because in this straight forward
> atempt, it is to slow. There is no possibility to do any real keystrokes in
> the debuged emacs.

Probably because you defined the watchpoint so that GDB was forced to
use software watchpoints, rather than hardware-assisted watchpoints.
The latter doesn't slow down Emacs.

If you tell how you defined the watchpoint, I might be able to help
you redefine it so that hardware-assisted watchpoints are used by GDB.